#ifndef _Handle_PDF_VArrayNodeOfFieldOfHAttributeArray1_HeaderFile
#define _Handle_PDF_VArrayNodeOfFieldOfHAttributeArray1_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PDF_VArrayNodeOfFieldOfHAttributeArray1;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDF_VArrayNodeOfFieldOfHAttributeArray1);

class Handle(PDF_VArrayNodeOfFieldOfHAttributeArray1) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PDF_VArrayNodeOfFieldOfHAttributeArray1)():Handle(PStandard_ArrayNode)() {} 
    Handle(PDF_VArrayNodeOfFieldOfHAttributeArray1)(const Handle(PDF_VArrayNodeOfFieldOfHAttributeArray1)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PDF_VArrayNodeOfFieldOfHAttributeArray1)(const PDF_VArrayNodeOfFieldOfHAttributeArray1* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PDF_VArrayNodeOfFieldOfHAttributeArray1)& operator=(const Handle(PDF_VArrayNodeOfFieldOfHAttributeArray1)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDF_VArrayNodeOfFieldOfHAttributeArray1)& operator=(const PDF_VArrayNodeOfFieldOfHAttributeArray1* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDF_VArrayNodeOfFieldOfHAttributeArray1* operator->() const 
     {
      return (PDF_VArrayNodeOfFieldOfHAttributeArray1 *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDF_VArrayNodeOfFieldOfHAttributeArray1) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
